Create Price - Flex Documentation

Create Price

cURL

curl --request POST \
  --url https://api.withflex.com/v1/prices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "price": {
    "product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
  }
}
'```

### Python

```python
import requests

url = "https://api.withflex.com/v1/prices"

payload = { "price": { "product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA" } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({price: {product: 'fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA'}})
};

fetch('https://api.withflex.com/v1/prices', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/prices",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'price' => [
        'product' => 'fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA'
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.withflex.com/v1/prices"

payload := strings.NewReader("{\n  \"price\": {\n    \"product\": \"fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA\"\n  }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/prices")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"price\": {\n    \"product\": \"fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA\"\n  }\n}"

response = http.request(request)
puts response.read_body

Status Codes

Example Response

{
  "price": {
    "price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "description": "Premium SPF 50 mineral sunscreen",
    "unit_amount": 0,
    "recurring": {},
    "active": false,
    "product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "created_at": "2026-06-15T14:30:00Z",
    "type": "one_time",
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "hsa_fsa_eligibility": "not_eligible",
    "test_mode": false
  }
}

Error Response

{
  "code": "string",
  "detail": "string"
}

Additional Error Details

{
  "detail": [
    {
      "loc": ["string"],
      "msg": "string",
      "type": "string"
    }
  ]
}